Remove a company favorite in an authorized event scope.
DELETE
/api/favorites/companies/{companyId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Delete, RequestUri = new Uri("https://api.eventpoint.io/api/favorites/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/favorites/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.eventpoint.io/api/favorites/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'Uses the shared assigned-client and actor-binding policy described by the Favorites API.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”companyId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”personId
string format: uuid
topLevelEventId
string format: uuid
Responses
Section titled “Responses”OK